import { FormGroup } from '@angular/forms';
import { Router } from '@angular/router';
import { FormReady, FormReadyWrapper } from 'neercms/form/types';
import { ModalsService, ToasterService } from 'neercms/services/viewport';
export declare abstract class FormServiceBase {
    readonly form: FormGroup;
    readonly router: Router;
    readonly modals: ModalsService;
    readonly toaster: ToasterService;
    private readonly formBuilder;
    private readyWrap;
    protected constructor(controls: object);
    init(isCreating?: boolean): void;
    get ready(): FormReadyWrapper;
    get isReady(): boolean;
    get isLoading(): boolean;
    setReady(value: FormReady): void;
}
