import { ElementRef } from '@angular/core';
import { FormGroupDirective } from '@angular/forms';
import { Size } from 'neercms/form/types';
import { InputBaseComponent } from '../input-base.component';
import * as i0 from "@angular/core";
export declare class TextAreaInputComponent extends InputBaseComponent {
    input: ElementRef;
    size: Size;
    maxLength: number;
    constructor(form: FormGroupDirective);
    get value(): string;
    set value(value: string);
    static ɵfac: i0.ɵɵFactoryDeclaration<TextAreaInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextAreaInputComponent, "nc-text-area-input", never, { "size": "size"; "maxLength": "maxLength"; }, {}, never, never, false>;
}
