import { NeerStorageService } from 'neercms/services/storage';
import { IMenuItem, MenuItems } from 'neercms/layout/types';
import * as i0 from "@angular/core";
export declare class SidebarComponent {
    private readonly storage;
    collapsed: boolean;
    menuItems: MenuItems;
    footerMenu: IMenuItem;
    logoImage: string;
    logoTitle: string;
    constructor(storage: NeerStorageService);
    toggleCollapsed(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SidebarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SidebarComponent, "nc-sidebar", never, { "menuItems": "menuItems"; "footerMenu": "footerMenu"; "logoImage": "logoImage"; "logoTitle": "logoTitle"; }, {}, never, never, false>;
}
