import { StorageBase } from './storage-base';
import { NeerStorageKey } from './types';
import * as i0 from "@angular/core";
export declare class NeerStorageService extends StorageBase<NeerStorageKey> {
    setSplitSizes(key: string, value: [number, number]): void;
    getSplitSizes(key: string): [number, number] | null;
    setColumnSequence(key: string, value: string[]): void;
    getColumnSequence(key: string): string[] | null;
    get sidebarCollapsed(): boolean;
    set sidebarCollapsed(value: boolean);
    get theme(): string | null;
    set theme(value: string | null);
    static ɵfac: i0.ɵɵFactoryDeclaration<NeerStorageService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NeerStorageService>;
}
