import { NumberPattern } from 'neercms/form/types';
import { NumberInputProcessorService } from 'neercms/services';
import { BoolInput } from 'neercms/shared/types';
import { FieldBaseComponent } from '../field-base.component';
import * as i0 from "@angular/core";
export declare class NumberFieldComponent extends FieldBaseComponent {
    private readonly numberInputProcessor;
    format: NumberPattern;
    minValue: number;
    maxValue: number;
    allowCopy: BoolInput;
    mask: string;
    constructor(numberInputProcessor: NumberInputProcessorService);
    afterInit(): void;
    onChange(event?: Event): void;
    onKeyUp(event: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NumberFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NumberFieldComponent, "nc-number-field", never, { "format": "format"; "minValue": "minValue"; "maxValue": "maxValue"; "allowCopy": "allowCopy"; }, {}, never, never, false>;
}
