import { MediaMatcher } from '@angular/cdk/layout';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ViewportService {
    private mobileQuery;
    private tabletQuery;
    private screenSizeChange;
    constructor(media: MediaMatcher);
    get isMobile(): boolean;
    get isTablet(): boolean;
    get isDesktop(): boolean;
    addResizeListener(listener: () => void): Subscription;
    dispose(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ViewportService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ViewportService>;
}
