export declare function isPositiveInteger(n: any): boolean;
export declare function buildTitle(text: string): string;
export declare function capitalizeFirstLetter(str?: string): string;
/**
 * Returns a random integer between min (inclusive) and max (inclusive).
 * The value is no lower than min (or the next integer greater than min
 * if min isn't an integer) and no greater than max (or the next integer
 * lower than max if max isn't an integer).
 * Using Math.round() will give you a non-uniform distribution!
 */
export declare function getRandomInt(min: number, max: number): number;
export declare const getDomain: (link: string | null) => string | undefined;
export declare function randomSadEmoji(): string;
