import { TabComponent } from './tab/tab.component';
import { TabsComponent } from './tabs/tabs.component';
export declare type TabKey = string | number;
export interface ITabContext {
    rename(newTitle: string): void;
    select(): void;
    close(): void;
}
export declare class TabContext implements ITabContext {
    readonly key: TabKey;
    private readonly tabRef;
    private readonly tabs;
    rename(newTitle: string): void;
    select(): void;
    close(): void;
    constructor(key: TabKey, tabRef: TabComponent, tabs: TabsComponent);
}
